1
0
mirror of https://https.git.savannah.gnu.org/git/gnulib.git synced 2026-09-01 02:34:55 +00:00

tests: Prepare for using valgrind.

tests/*.sh: Invoke all test programs through ${CHECKER}.
tests/*/*.sh: Likewise.
This commit is contained in:
Bruno Haible
2019-03-10 11:32:11 +01:00
parent 5db7774f1e
commit 4c0df5be84
175 changed files with 337 additions and 331 deletions
+6
View File
@@ -1,3 +1,9 @@
2019-03-10 Bruno Haible <bruno@clisp.org>
tests: Prepare for using valgrind.
tests/*.sh: Invoke all test programs through ${CHECKER}.
tests/*/*.sh: Likewise.
2019-03-09 Bruno Haible <bruno@clisp.org>
get-rusage-as, pthread_sigmask tests: Fix -fsanitize=thread findings.
+1 -1
View File
@@ -24,7 +24,7 @@ path_prepend_ .
fail=0
echo 'dfaerror: invalid character class' > exp
LC_ALL=C dfa-match-aux '[[:foo:]]' a > out 2>&1
LC_ALL=C ${CHECKER} dfa-match-aux '[[:foo:]]' a > out 2>&1
compare exp out || fail=1
Exit $fail
+2 -2
View File
@@ -33,11 +33,11 @@ fi
fail=0
dfa-match-aux a ba 0 > out || fail=1
${CHECKER} dfa-match-aux a ba 0 > out || fail=1
compare /dev/null out || fail=1
in=$(printf "bb\nbb")
$timeout_10 dfa-match-aux a "$in" 1 > out || fail=1
$timeout_10 ${CHECKER} dfa-match-aux a "$in" 1 > out || fail=1
compare /dev/null out || fail=1
Exit $fail
+1 -1
View File
@@ -1,4 +1,4 @@
#!/bin/sh
./test-_Exit${EXEEXT}
${CHECKER} ./test-_Exit${EXEEXT}
test $? = 81
+5 -5
View File
@@ -39,7 +39,7 @@ Usage: test-argp [-tvCSOlp?V] [-f FILE] [-r FILE] [-o[ARG]] [--test]
[--limerick] [--poem] [--help] [--usage] [--version] ARGS...
EOT
./test-argp$EXEEXT --usage | func_compare || ERR=1
${CHECKER} ./test-argp${EXEEXT} --usage | func_compare || ERR=1
####
# Test working usage-indent format
@@ -51,7 +51,7 @@ Usage: test-argp [-tvCSOlp?V] [-f FILE] [-r FILE] [-o[ARG]] [--test]
[--help] [--usage] [--version] ARGS...
EOT
ARGP_HELP_FMT='usage-indent=0' ./test-argp$EXEEXT --usage | func_compare || ERR=1
ARGP_HELP_FMT='usage-indent=0' ${CHECKER} ./test-argp${EXEEXT} --usage | func_compare || ERR=1
####
# Test --help output
@@ -96,17 +96,17 @@ Report bugs to <>.
EOT
# Compare --help output, but filter out any bug-reporting email address.
./test-argp$EXEEXT --help \
${CHECKER} ./test-argp${EXEEXT} --help \
| sed 's/^\(Report bugs to \)<[^>]*>.$/\1<>./' | func_compare || ERR=1
####
# Test ambiguous option handling
./test-argp$EXEEXT --optio 2>/dev/null && ERR=1
${CHECKER} ./test-argp${EXEEXT} --optio 2>/dev/null && ERR=1
####
# Run built-in tests
./test-argp$EXEEXT || ERR=1
${CHECKER} ./test-argp${EXEEXT} || ERR=1
rm $TMP
+1 -1
View File
@@ -31,7 +31,7 @@ There is NO WARRANTY, to the extent permitted by law.
Written by Sergey Poznyakoff.
EOT
./test-argp-version-etc${EXEEXT} --version |
${CHECKER} ./test-argp-version-etc${EXEEXT} --version |
sed '1s/test-argp-version-etc (.*) .*/test-argp-version-etc (PROJECT) VERSION/
/^Packaged by/d
2,3 s/Copyright (C) [0-9]\{4,4\}/COPYRIGHT/' |
+3 -3
View File
@@ -4,7 +4,7 @@
# Check that an atexit handler is called when main() returns normally.
echo > t-atexit.tmp
test-atexit
${CHECKER} test-atexit
if test -f t-atexit.tmp; then
Exit 1
fi
@@ -12,7 +12,7 @@ fi
# Check that an atexit handler is called when the program is left
# through exit(0).
echo > t-atexit.tmp
test-atexit 0
${CHECKER} test-atexit 0
if test -f t-atexit.tmp; then
Exit 1
fi
@@ -20,7 +20,7 @@ fi
# Check that an atexit handler is called when the program is left
# through exit(1).
echo > t-atexit.tmp
test-atexit 1
${CHECKER} test-atexit 1
if test -f t-atexit.tmp; then
Exit 1
fi
+1 -1
View File
@@ -4,7 +4,7 @@ tmpfiles=""
trap 'rm -fr $tmpfiles' 1 2 3 15
tmpfiles="$tmpfiles t-bin-out0.tmp t-bin-out1.tmp"
./test-binary-io${EXEEXT} 1 > t-bin-out1.tmp || exit 1
${CHECKER} ./test-binary-io${EXEEXT} 1 > t-bin-out1.tmp || exit 1
cmp t-bin-out0.tmp t-bin-out1.tmp > /dev/null || exit 1
rm -fr $tmpfiles
+1 -1
View File
@@ -12,4 +12,4 @@ if test $LOCALE_FR = none; then
fi
LC_ALL=$LOCALE_FR \
./test-btowc${EXEEXT} 1
${CHECKER} ./test-btowc${EXEEXT} 1
+1 -1
View File
@@ -12,4 +12,4 @@ if test $LOCALE_FR_UTF8 = none; then
fi
LC_ALL=$LOCALE_FR_UTF8 \
./test-btowc${EXEEXT} 2
${CHECKER} ./test-btowc${EXEEXT} 2
+1 -1
View File
@@ -12,4 +12,4 @@ if test $LOCALE_FR = none; then
fi
LC_ALL=$LOCALE_FR \
./test-c-snprintf${EXEEXT} 1
${CHECKER} ./test-c-snprintf${EXEEXT} 1
+1 -1
View File
@@ -4,7 +4,7 @@ tmpfiles=""
trap 'rm -fr $tmpfiles' 1 2 3 15
tmpfiles="t-c-stack.tmp"
./test-c-stack${EXEEXT} 2> t-c-stack.tmp
${CHECKER} ./test-c-stack${EXEEXT} 2> t-c-stack.tmp
case $? in
77) cat t-c-stack.tmp >&2; (exit 77); exit 77 ;;
1) ;;
+1 -1
View File
@@ -7,7 +7,7 @@ tmpfiles="t-c-stack2.tmp"
# Sanitize exit status within a subshell, since some shells fail to
# redirect stderr on their message about death due to signal.
(./test-c-stack${EXEEXT} 1; exit $?) 2> t-c-stack2.tmp
(${CHECKER} ./test-c-stack${EXEEXT} 1; exit $?) 2> t-c-stack2.tmp
case $? in
77) if grep 'stack overflow' t-c-stack2.tmp >/dev/null ; then
+6 -6
View File
@@ -1,21 +1,21 @@
#!/bin/sh
# Test in the C locale.
./test-c-strcasecmp${EXEEXT} || exit 1
./test-c-strncasecmp${EXEEXT} || exit 1
${CHECKER} ./test-c-strcasecmp${EXEEXT} || exit 1
${CHECKER} ./test-c-strncasecmp${EXEEXT} || exit 1
# Test in an ISO-8859-1 or ISO-8859-15 locale.
: ${LOCALE_FR=fr_FR}
if test $LOCALE_FR != none; then
LC_ALL=$LOCALE_FR ./test-c-strcasecmp${EXEEXT} locale || exit 1
LC_ALL=$LOCALE_FR ./test-c-strncasecmp${EXEEXT} locale || exit 1
LC_ALL=$LOCALE_FR ${CHECKER} ./test-c-strcasecmp${EXEEXT} locale || exit 1
LC_ALL=$LOCALE_FR ${CHECKER} ./test-c-strncasecmp${EXEEXT} locale || exit 1
fi
# Test in a Turkish UTF-8 locale.
: ${LOCALE_TR_UTF8=tr_TR.UTF-8}
if test $LOCALE_TR_UTF8 != none; then
LC_ALL=$LOCALE_TR_UTF8 ./test-c-strcasecmp${EXEEXT} locale || exit 1
LC_ALL=$LOCALE_TR_UTF8 ./test-c-strncasecmp${EXEEXT} locale || exit 1
LC_ALL=$LOCALE_TR_UTF8 ${CHECKER} ./test-c-strcasecmp${EXEEXT} locale || exit 1
LC_ALL=$LOCALE_TR_UTF8 ${CHECKER} ./test-c-strncasecmp${EXEEXT} locale || exit 1
fi
exit 0
+1 -1
View File
@@ -12,4 +12,4 @@ if test $LOCALE_FR = none; then
fi
LC_ALL=$LOCALE_FR \
./test-c-vasprintf${EXEEXT} 1
${CHECKER} ./test-c-vasprintf${EXEEXT} 1
+1 -1
View File
@@ -12,4 +12,4 @@ if test $LOCALE_FR = none; then
fi
LC_ALL=$LOCALE_FR \
./test-c-vsnprintf${EXEEXT} 1
${CHECKER} ./test-c-vsnprintf${EXEEXT} 1
+1 -1
View File
@@ -12,4 +12,4 @@ if test $LOCALE_FR = none; then
fi
LC_ALL=$LOCALE_FR \
./test-c-xvasprintf${EXEEXT} 1
${CHECKER} ./test-c-xvasprintf${EXEEXT} 1
+8 -8
View File
@@ -7,26 +7,26 @@ echo world > xout.tmp
fail=0
# Test with seekable stdin; follow-on process must see remaining data
(test-closein; cat) < in.tmp > out1.tmp || fail=1
(${CHECKER} test-closein; cat) < in.tmp > out1.tmp || fail=1
cmp out1.tmp in.tmp || fail=1
(test-closein consume; cat) < in.tmp > out2.tmp || fail=1
(${CHECKER} test-closein consume; cat) < in.tmp > out2.tmp || fail=1
cmp out2.tmp xout.tmp || fail=1
# Test for lack of error on pipe. Ignore any EPIPE failures from cat.
cat in.tmp 2>/dev/null | test-closein || fail=1
cat in.tmp 2>/dev/null | ${CHECKER} test-closein || fail=1
cat in.tmp 2>/dev/null | test-closein consume || fail=1
cat in.tmp 2>/dev/null | ${CHECKER} test-closein consume || fail=1
# Test for lack of error when nothing is read
test-closein </dev/null || fail=1
${CHECKER} test-closein </dev/null || fail=1
test-closein <&- || fail=1
${CHECKER} test-closein <&- || fail=1
# Test for no error when EOF is read early
test-closein consume </dev/null || fail=1
${CHECKER} test-closein consume </dev/null || fail=1
# Test for error when read fails because no file available
test-closein consume close <&- 2>/dev/null && fail=1
${CHECKER} test-closein consume close <&- 2>/dev/null && fail=1
Exit $fail
+3 -3
View File
@@ -209,9 +209,9 @@ cd "$builddir" ||
{
echo "Simple contents" > "$2"
chmod 600 "$2"
"$builddir"/test-copy-acl${EXEEXT} "$1" "$2" || exit 1
"$builddir"/test-sameacls${EXEEXT} "$1" "$2" || exit 1
func_test_same_acls "$1" "$2" || exit 1
${CHECKER} "$builddir"/test-copy-acl${EXEEXT} "$1" "$2" || exit 1
${CHECKER} "$builddir"/test-sameacls${EXEEXT} "$1" "$2" || exit 1
func_test_same_acls "$1" "$2" || exit 1
}
func_test_copy tmpfile0 tmpfile1
+3 -3
View File
@@ -201,10 +201,10 @@ cd "$builddir" ||
# on both.
func_test_copy ()
{
"$builddir"/test-copy-file${EXEEXT} "$1" "$2" || exit 1
${CHECKER} "$builddir"/test-copy-file${EXEEXT} "$1" "$2" || exit 1
if test "$USE_ACL" != 0; then
"$builddir"/test-sameacls${EXEEXT} "$1" "$2" || exit 1
func_test_same_acls "$1" "$2" || exit 1
${CHECKER} "$builddir"/test-sameacls${EXEEXT} "$1" "$2" || exit 1
func_test_same_acls "$1" "$2" || exit 1
fi
}
+1 -1
View File
@@ -4,7 +4,7 @@ tmpfiles=""
trap 'rm -fr $tmpfiles' 1 2 3 15
tmpfiles="$tmpfiles t-dprintf-posix.tmp t-dprintf-posix.out"
./test-dprintf-posix${EXEEXT} > t-dprintf-posix.tmp || exit 1
${CHECKER} ./test-dprintf-posix${EXEEXT} > t-dprintf-posix.tmp || exit 1
LC_ALL=C tr -d '\r' < t-dprintf-posix.tmp > t-dprintf-posix.out || exit 1
: ${DIFF=diff}
+2 -2
View File
@@ -2,7 +2,7 @@
# Test against a memory leak.
(./test-dprintf-posix2${EXEEXT} 0
(${CHECKER} ./test-dprintf-posix2${EXEEXT} 0
result=$?
if test $result != 77 && test $result != 78; then result=1; fi
exit $result
@@ -13,7 +13,7 @@ if test $malloc_result = 77; then
exit 77
fi
./test-dprintf-posix2${EXEEXT} 1 > /dev/null
${CHECKER} ./test-dprintf-posix2${EXEEXT} 1 > /dev/null
result=$?
if test $result = 77; then
echo "Skipping test: no way to determine address space size"
+1 -1
View File
@@ -36,7 +36,7 @@ baz: 0
bar/qux: 0
EOT
test-exclude in -- foo 'foo*' bar foobar baz bar/qux > out || exit $?
${CHECKER} test-exclude in -- foo 'foo*' bar foobar baz bar/qux > out || exit $?
# Find out how to remove carriage returns from output. Solaris /usr/ucb/tr
# does not understand '\r'.
+1 -1
View File
@@ -36,7 +36,7 @@ baz: 1
bar/qux: 0
EOT
test-exclude -casefold in -- foo 'foo*' bar foobar baz bar/qux > out || exit $?
${CHECKER} test-exclude -casefold in -- foo 'foo*' bar foobar baz bar/qux > out || exit $?
# Find out how to remove carriage returns from output. Solaris /usr/ucb/tr
# does not understand '\r'.
+1 -1
View File
@@ -36,7 +36,7 @@ baz: 1
bar/qux: 1
EOT
test-exclude -include in -- foo 'foo*' bar foobar baz bar/qux > out || exit $?
${CHECKER} test-exclude -include in -- foo 'foo*' bar foobar baz bar/qux > out || exit $?
# Find out how to remove carriage returns from output. Solaris /usr/ucb/tr
# does not understand '\r'.
+1 -1
View File
@@ -31,7 +31,7 @@ cat > expected <<EOT
foobar: 1
EOT
test-exclude -wildcards in -- foobar > out || exit $?
${CHECKER} test-exclude -wildcards in -- foobar > out || exit $?
# Find out how to remove carriage returns from output. Solaris /usr/ucb/tr
# does not understand '\r'.
+1 -1
View File
@@ -34,7 +34,7 @@ barz: 0
foo/bar: 1
EOT
test-exclude -leading_dir in -- bar bar/qux barz foo/bar > out || exit $?
${CHECKER} test-exclude -leading_dir in -- bar bar/qux barz foo/bar > out || exit $?
# Find out how to remove carriage returns from output. Solaris /usr/ucb/tr
# does not understand '\r'.
+1 -1
View File
@@ -32,7 +32,7 @@ bar: 1
foo/bar: 0
EOT
test-exclude -anchored in -- bar foo/bar > out || exit $?
${CHECKER} test-exclude -anchored in -- bar foo/bar > out || exit $?
# Find out how to remove carriage returns from output. Solaris /usr/ucb/tr
# does not understand '\r'.
+2 -2
View File
@@ -32,8 +32,8 @@ bar: 0
bar: 1
EOT
test-exclude in -include in -- bar > out || exit $?
test-exclude -include in -no-include in -- bar >> out || exit $?
${CHECKER} test-exclude in -include in -- bar > out || exit $?
${CHECKER} test-exclude -include in -no-include in -- bar >> out || exit $?
# Find out how to remove carriage returns from output. Solaris /usr/ucb/tr
# does not understand '\r'.
+1 -1
View File
@@ -32,7 +32,7 @@ file: 0
bar: 1
EOT
test-exclude -wildcards in -- 'f*e' 'file' 'bar' > out || exit $?
${CHECKER} test-exclude -wildcards in -- 'f*e' 'file' 'bar' > out || exit $?
# Find out how to remove carriage returns from output. Solaris /usr/ucb/tr
# does not understand '\r'.
+3 -3
View File
@@ -2,8 +2,8 @@
# Execute the test only with seekable input stream.
# The behaviour of fflush() on a non-seekable input stream is undefined.
./test-fflush2${EXEEXT} 1 < "$srcdir/test-fflush2.sh" || exit $?
./test-fflush2${EXEEXT} 2 < "$srcdir/test-fflush2.sh" || exit $?
#cat "$srcdir/test-fflush2.sh" | ./test-fflush2${EXEEXT} || exit $?
${CHECKER} ./test-fflush2${EXEEXT} 1 < "$srcdir/test-fflush2.sh" || exit $?
${CHECKER} ./test-fflush2${EXEEXT} 2 < "$srcdir/test-fflush2.sh" || exit $?
#cat "$srcdir/test-fflush2.sh" | ${CHECKER} ./test-fflush2${EXEEXT} || exit $?
exit 0
+1 -1
View File
@@ -134,7 +134,7 @@ cd "$builddir" ||
# matches the expected value.
func_test_file_has_acl ()
{
res=`"$builddir"/test-file-has-acl${EXEEXT} "$1"`
res=`${CHECKER} "$builddir"/test-file-has-acl${EXEEXT} "$1"`
test "$res" = "$2" || {
echo "file_has_acl(\"$1\") returned $res, expected $2" 1>&2
exit 1
+1 -1
View File
@@ -5,7 +5,7 @@ trap 'rm -fr $tmpfile' 1 2 3 15
tmpfile=test-fpending.t
./test-fpending${EXEEXT} > $tmpfile || exit 1
${CHECKER} ./test-fpending${EXEEXT} > $tmpfile || exit 1
rm -fr $tmpfile
+1 -1
View File
@@ -4,7 +4,7 @@ tmpfiles=""
trap 'rm -fr $tmpfiles' 1 2 3 15
tmpfiles="$tmpfiles t-fprintf-posix.tmp t-fprintf-posix.out"
./test-fprintf-posix${EXEEXT} > t-fprintf-posix.tmp || exit 1
${CHECKER} ./test-fprintf-posix${EXEEXT} > t-fprintf-posix.tmp || exit 1
LC_ALL=C tr -d '\r' < t-fprintf-posix.tmp > t-fprintf-posix.out || exit 1
: ${DIFF=diff}
+2 -2
View File
@@ -2,7 +2,7 @@
# Test out-of-memory handling.
(./test-fprintf-posix2${EXEEXT} 0
(${CHECKER} ./test-fprintf-posix2${EXEEXT} 0
result=$?
if test $result != 77 && test $result != 78; then result=1; fi
exit $result
@@ -15,7 +15,7 @@ fi
for arg in 1 2 3 4 5 6
do
./test-fprintf-posix2${EXEEXT} $arg > /dev/null
${CHECKER} ./test-fprintf-posix2${EXEEXT} $arg > /dev/null
result=$?
if test $result = 77; then
echo "Skipping test: getrlimit and setrlimit don't work"
+2 -2
View File
@@ -2,7 +2,7 @@
# Test against a memory leak.
(./test-fprintf-posix3${EXEEXT} 0
(${CHECKER} ./test-fprintf-posix3${EXEEXT} 0
result=$?
if test $result != 77 && test $result != 78; then result=1; fi
exit $result
@@ -13,7 +13,7 @@ if test $malloc_result = 77; then
exit 77
fi
./test-fprintf-posix3${EXEEXT} 1 > /dev/null
${CHECKER} ./test-fprintf-posix3${EXEEXT} 1 > /dev/null
result=$?
if test $result = 77; then
echo "Skipping test: no way to determine address space size"
+2 -2
View File
@@ -1,5 +1,5 @@
#!/bin/sh
./test-freadahead${EXEEXT} 0 < "$srcdir/test-freadahead.sh" || exit 1
./test-freadahead${EXEEXT} 5 < "$srcdir/test-freadahead.sh" || exit 1
${CHECKER} ./test-freadahead${EXEEXT} 0 < "$srcdir/test-freadahead.sh" || exit 1
${CHECKER} ./test-freadahead${EXEEXT} 5 < "$srcdir/test-freadahead.sh" || exit 1
exit 0
+2 -2
View File
@@ -1,5 +1,5 @@
#!/bin/sh
./test-freadptr${EXEEXT} 5 < "$srcdir/test-freadptr.sh" || exit 1
cat "$srcdir/test-freadptr.sh" | ./test-freadptr${EXEEXT} 5 || exit 1
${CHECKER} ./test-freadptr${EXEEXT} 5 < "$srcdir/test-freadptr.sh" || exit 1
cat "$srcdir/test-freadptr.sh" | ${CHECKER} ./test-freadptr${EXEEXT} 5 || exit 1
exit 0
+2 -2
View File
@@ -1,5 +1,5 @@
#!/bin/sh
./test-freadptr2${EXEEXT} 0 < "$srcdir/test-freadptr2.sh" || exit 1
./test-freadptr2${EXEEXT} 5 < "$srcdir/test-freadptr2.sh" || exit 1
${CHECKER} ./test-freadptr2${EXEEXT} 0 < "$srcdir/test-freadptr2.sh" || exit 1
${CHECKER} ./test-freadptr2${EXEEXT} 5 < "$srcdir/test-freadptr2.sh" || exit 1
exit 0
+2 -2
View File
@@ -1,5 +1,5 @@
#!/bin/sh
./test-freadseek${EXEEXT} 5 19 6 7 18 9 19 < "$srcdir/test-freadseek.sh" || exit 1
cat "$srcdir/test-freadseek.sh" | ./test-freadseek${EXEEXT} 5 19 6 7 18 9 19 || exit 1
${CHECKER} ./test-freadseek${EXEEXT} 5 19 6 7 18 9 19 < "$srcdir/test-freadseek.sh" || exit 1
cat "$srcdir/test-freadseek.sh" | ${CHECKER} ./test-freadseek${EXEEXT} 5 19 6 7 18 9 19 || exit 1
exit 0
+2 -2
View File
@@ -1,5 +1,5 @@
#!/bin/sh
./test-fseek${EXEEXT} 1 < "$srcdir/test-fseek.sh" || exit 1
echo hi | ./test-fseek${EXEEXT} || exit 1
${CHECKER} ./test-fseek${EXEEXT} 1 < "$srcdir/test-fseek.sh" || exit 1
echo hi | ${CHECKER} ./test-fseek${EXEEXT} || exit 1
exit 0
+1 -1
View File
@@ -1,3 +1,3 @@
#!/bin/sh
exec ./test-fseek${EXEEXT} 1 2 < "$srcdir/test-fseek2.sh"
exec ${CHECKER} ./test-fseek${EXEEXT} 1 2 < "$srcdir/test-fseek2.sh"
+2 -2
View File
@@ -1,5 +1,5 @@
#!/bin/sh
./test-fseeko${EXEEXT} 1 < "$srcdir/test-fseeko.sh" || exit 1
echo hi | ./test-fseeko${EXEEXT} || exit 1
${CHECKER} ./test-fseeko${EXEEXT} 1 < "$srcdir/test-fseeko.sh" || exit 1
echo hi | ${CHECKER} ./test-fseeko${EXEEXT} || exit 1
exit 0
+1 -1
View File
@@ -1,3 +1,3 @@
#!/bin/sh
exec ./test-fseeko${EXEEXT} 1 2 < "$srcdir/test-fseeko2.sh"
exec ${CHECKER} ./test-fseeko${EXEEXT} 1 2 < "$srcdir/test-fseeko2.sh"
+2 -2
View File
@@ -1,7 +1,7 @@
#!/bin/sh
./test-fseeko3${EXEEXT} 0 "$srcdir/test-fseeko3.sh" || exit 1
${CHECKER} ./test-fseeko3${EXEEXT} 0 "$srcdir/test-fseeko3.sh" || exit 1
./test-fseeko3${EXEEXT} 1 "$srcdir/test-fseeko3.sh" || exit 1
${CHECKER} ./test-fseeko3${EXEEXT} 1 "$srcdir/test-fseeko3.sh" || exit 1
exit 0
+1 -1
View File
@@ -1,5 +1,5 @@
#!/bin/sh
./test-fseeko4${EXEEXT} "$srcdir/test-fseeko4.sh" || exit 1
${CHECKER} ./test-fseeko4${EXEEXT} "$srcdir/test-fseeko4.sh" || exit 1
exit 0
+2 -2
View File
@@ -1,5 +1,5 @@
#!/bin/sh
./test-ftell${EXEEXT} 1 < "$srcdir/test-ftell.sh" || exit 1
echo hi | ./test-ftell${EXEEXT} || exit 1
${CHECKER} ./test-ftell${EXEEXT} 1 < "$srcdir/test-ftell.sh" || exit 1
echo hi | ${CHECKER} ./test-ftell${EXEEXT} || exit 1
exit 0
+1 -1
View File
@@ -1,3 +1,3 @@
#!/bin/sh
exec ./test-ftell${EXEEXT} 1 2 < "$srcdir/test-ftell2.sh"
exec ${CHECKER} ./test-ftell${EXEEXT} 1 2 < "$srcdir/test-ftell2.sh"
+2 -2
View File
@@ -1,5 +1,5 @@
#!/bin/sh
./test-ftello${EXEEXT} 1 < "$srcdir/test-ftello.sh" || exit 1
echo hi | ./test-ftello${EXEEXT} || exit 1
${CHECKER} ./test-ftello${EXEEXT} 1 < "$srcdir/test-ftello.sh" || exit 1
echo hi | ${CHECKER} ./test-ftello${EXEEXT} || exit 1
exit 0
+1 -1
View File
@@ -1,3 +1,3 @@
#!/bin/sh
exec ./test-ftello${EXEEXT} 1 2 < "$srcdir/test-ftello2.sh"
exec ${CHECKER} ./test-ftello${EXEEXT} 1 2 < "$srcdir/test-ftello2.sh"
+1 -1
View File
@@ -1,5 +1,5 @@
#!/bin/sh
./test-ftello4${EXEEXT} "$srcdir/test-ftello4.sh" || exit 1
${CHECKER} ./test-ftello4${EXEEXT} "$srcdir/test-ftello4.sh" || exit 1
exit 0
+1 -1
View File
@@ -1,3 +1,3 @@
#!/bin/sh
exec ./test-ftruncate${EXEEXT} "$srcdir/test-ftruncate.sh"
exec ${CHECKER} ./test-ftruncate${EXEEXT} "$srcdir/test-ftruncate.sh"
+1 -1
View File
@@ -2,6 +2,6 @@
. "${srcdir=.}/init.sh"; path_prepend_ .
test-getcwd
${CHECKER} test-getcwd
Exit $?
+1 -1
View File
@@ -16,7 +16,7 @@ if test `$ID -u` != 0; then
exit 77
fi
./test-idpriv-drop${EXEEXT} || exit 13 # normal
${CHECKER} ./test-idpriv-drop${EXEEXT} || exit 13 # normal
chown root:root test-idpriv-drop${EXEEXT} 2>/dev/null || \
chown root:wheel test-idpriv-drop${EXEEXT} 2>/dev/null || \
+1 -1
View File
@@ -16,7 +16,7 @@ if test `$ID -u` != 0; then
exit 77
fi
./test-idpriv-droptemp${EXEEXT} || exit 13 # normal
${CHECKER} ./test-idpriv-droptemp${EXEEXT} || exit 13 # normal
chown root:root test-idpriv-droptemp${EXEEXT} 2>/dev/null || \
chown root:wheel test-idpriv-droptemp${EXEEXT} 2>/dev/null || \
+3 -3
View File
@@ -5,14 +5,14 @@ trap 'rm -fr $tmpfiles' 1 2 3 15
tmpfiles=t-lseek.tmp
# seekable files
./test-lseek${EXEEXT} 0 < "$srcdir/test-lseek.sh" > t-lseek.tmp || exit 1
${CHECKER} ./test-lseek${EXEEXT} 0 < "$srcdir/test-lseek.sh" > t-lseek.tmp || exit 1
# pipes
echo hi | { ./test-lseek${EXEEXT} 1; echo $? > t-lseek.tmp; cat > /dev/null; } | cat
echo hi | { ${CHECKER} ./test-lseek${EXEEXT} 1; echo $? > t-lseek.tmp; cat > /dev/null; } | cat
test "`cat t-lseek.tmp`" = "0" || exit 1
# closed descriptors
./test-lseek${EXEEXT} 2 <&- >&- || exit 1
${CHECKER} ./test-lseek${EXEEXT} 2 <&- >&- || exit 1
rm -rf $tmpfiles
exit 0
+1 -1
View File
@@ -12,4 +12,4 @@ if test $LOCALE_FR = none; then
fi
LC_ALL=$LOCALE_FR \
./test-mbmemcasecmp${EXEEXT} 1
${CHECKER} ./test-mbmemcasecmp${EXEEXT} 1
+1 -1
View File
@@ -12,4 +12,4 @@ if test $LOCALE_FR_UTF8 = none; then
fi
LC_ALL=$LOCALE_FR_UTF8 \
./test-mbmemcasecmp${EXEEXT} 2
${CHECKER} ./test-mbmemcasecmp${EXEEXT} 2
+1 -1
View File
@@ -12,4 +12,4 @@ if test $LOCALE_TR_UTF8 = none; then
fi
LC_ALL=$LOCALE_TR_UTF8 \
./test-mbmemcasecmp${EXEEXT} 3
${CHECKER} ./test-mbmemcasecmp${EXEEXT} 3
+1 -1
View File
@@ -12,4 +12,4 @@ if test $LOCALE_FR = none; then
fi
LC_ALL=$LOCALE_FR \
./test-mbmemcasecoll${EXEEXT} 1
${CHECKER} ./test-mbmemcasecoll${EXEEXT} 1
+1 -1
View File
@@ -12,4 +12,4 @@ if test $LOCALE_FR_UTF8 = none; then
fi
LC_ALL=$LOCALE_FR_UTF8 \
./test-mbmemcasecoll${EXEEXT} 2
${CHECKER} ./test-mbmemcasecoll${EXEEXT} 2
+1 -1
View File
@@ -12,4 +12,4 @@ if test $LOCALE_TR_UTF8 = none; then
fi
LC_ALL=$LOCALE_TR_UTF8 \
./test-mbmemcasecoll${EXEEXT} 3
${CHECKER} ./test-mbmemcasecoll${EXEEXT} 3
+1 -1
View File
@@ -1,4 +1,4 @@
#!/bin/sh
# Test a CP1252 locale.
./test-mbrtowc-w32${EXEEXT} French_France 1252
${CHECKER} ./test-mbrtowc-w32${EXEEXT} French_France 1252
+1 -1
View File
@@ -1,4 +1,4 @@
#!/bin/sh
# Test a CP1256 locale.
./test-mbrtowc-w32${EXEEXT} "Arabic_Saudi Arabia" 1256
${CHECKER} ./test-mbrtowc-w32${EXEEXT} "Arabic_Saudi Arabia" 1256
+1 -1
View File
@@ -1,4 +1,4 @@
#!/bin/sh
# Test a CP932 locale.
./test-mbrtowc-w32${EXEEXT} Japanese_Japan 932
${CHECKER} ./test-mbrtowc-w32${EXEEXT} Japanese_Japan 932
+1 -1
View File
@@ -1,4 +1,4 @@
#!/bin/sh
# Test a CP950 locale.
./test-mbrtowc-w32${EXEEXT} Chinese_Taiwan 950
${CHECKER} ./test-mbrtowc-w32${EXEEXT} Chinese_Taiwan 950
+1 -1
View File
@@ -1,4 +1,4 @@
#!/bin/sh
# Test a CP936 locale.
./test-mbrtowc-w32${EXEEXT} Chinese_China 936
${CHECKER} ./test-mbrtowc-w32${EXEEXT} Chinese_China 936
+1 -1
View File
@@ -4,4 +4,4 @@
# will likely never support locales with MB_CUR_MAX > 2.
# Test a GB18030 locale.
./test-mbrtowc-w32${EXEEXT} Chinese_China 54936
${CHECKER} ./test-mbrtowc-w32${EXEEXT} Chinese_China 54936
+1 -1
View File
@@ -4,4 +4,4 @@
# will likely never support locales with MB_CUR_MAX > 2.
# Test some UTF-8 locales.
./test-mbrtowc-w32${EXEEXT} French_France Japanese_Japan Chinese_Taiwan Chinese_China 65001
${CHECKER} ./test-mbrtowc-w32${EXEEXT} French_France Japanese_Japan Chinese_Taiwan Chinese_China 65001
+1 -1
View File
@@ -12,4 +12,4 @@ if test $LOCALE_FR = none; then
fi
LC_ALL=$LOCALE_FR \
./test-mbrtowc${EXEEXT} 1
${CHECKER} ./test-mbrtowc${EXEEXT} 1
+1 -1
View File
@@ -12,4 +12,4 @@ if test $LOCALE_FR_UTF8 = none; then
fi
LC_ALL=$LOCALE_FR_UTF8 \
./test-mbrtowc${EXEEXT} 2
${CHECKER} ./test-mbrtowc${EXEEXT} 2
+1 -1
View File
@@ -12,4 +12,4 @@ if test $LOCALE_JA = none; then
fi
LC_ALL=$LOCALE_JA \
./test-mbrtowc${EXEEXT} 3
${CHECKER} ./test-mbrtowc${EXEEXT} 3
+1 -1
View File
@@ -12,4 +12,4 @@ if test $LOCALE_ZH_CN = none; then
fi
LC_ALL=$LOCALE_ZH_CN \
./test-mbrtowc${EXEEXT} 4
${CHECKER} ./test-mbrtowc${EXEEXT} 4
+2 -2
View File
@@ -1,6 +1,6 @@
#!/bin/sh
# Test whether the POSIX locale has encoding errors.
LC_ALL=C \
./test-mbrtowc${EXEEXT} 5 || exit
${CHECKER} ./test-mbrtowc${EXEEXT} 5 || exit
LC_ALL=POSIX \
./test-mbrtowc${EXEEXT} 5
${CHECKER} ./test-mbrtowc${EXEEXT} 5
+1 -1
View File
@@ -12,4 +12,4 @@ if test $LOCALE_TR_UTF8 = none; then
fi
LC_ALL=$LOCALE_TR_UTF8 \
./test-mbscasecmp${EXEEXT}
${CHECKER} ./test-mbscasecmp${EXEEXT}
+1 -1
View File
@@ -12,4 +12,4 @@ if test $LOCALE_FR_UTF8 = none; then
fi
LC_ALL=$LOCALE_FR_UTF8 \
./test-mbscasestr2${EXEEXT}
${CHECKER} ./test-mbscasestr2${EXEEXT}
+1 -1
View File
@@ -12,4 +12,4 @@ if test $LOCALE_ZH_CN = none; then
fi
LC_ALL=$LOCALE_ZH_CN \
./test-mbscasestr3${EXEEXT}
${CHECKER} ./test-mbscasestr3${EXEEXT}
+1 -1
View File
@@ -12,4 +12,4 @@ if test $LOCALE_TR_UTF8 = none; then
fi
LC_ALL=$LOCALE_TR_UTF8 \
./test-mbscasestr4${EXEEXT}
${CHECKER} ./test-mbscasestr4${EXEEXT}
+1 -1
View File
@@ -12,4 +12,4 @@ if test $LOCALE_ZH_CN = none; then
fi
LC_ALL=$LOCALE_ZH_CN \
./test-mbschr${EXEEXT}
${CHECKER} ./test-mbschr${EXEEXT}
+1 -1
View File
@@ -12,4 +12,4 @@ if test $LOCALE_FR_UTF8 = none; then
fi
LC_ALL=$LOCALE_FR_UTF8 \
./test-mbscspn${EXEEXT}
${CHECKER} ./test-mbscspn${EXEEXT}
+1 -1
View File
@@ -12,4 +12,4 @@ if test $LOCALE_FR_UTF8 = none; then
fi
LC_ALL=$LOCALE_FR_UTF8 \
./test-mbsinit${EXEEXT}
${CHECKER} ./test-mbsinit${EXEEXT}
+1 -1
View File
@@ -12,4 +12,4 @@ if test $LOCALE_TR_UTF8 = none; then
fi
LC_ALL=$LOCALE_TR_UTF8 \
./test-mbsncasecmp${EXEEXT}
${CHECKER} ./test-mbsncasecmp${EXEEXT}
+1 -1
View File
@@ -12,4 +12,4 @@ if test $LOCALE_FR = none; then
fi
LC_ALL=$LOCALE_FR \
./test-mbsnrtowcs${EXEEXT} 1
${CHECKER} ./test-mbsnrtowcs${EXEEXT} 1
+1 -1
View File
@@ -12,4 +12,4 @@ if test $LOCALE_FR_UTF8 = none; then
fi
LC_ALL=$LOCALE_FR_UTF8 \
./test-mbsnrtowcs${EXEEXT} 2
${CHECKER} ./test-mbsnrtowcs${EXEEXT} 2
+1 -1
View File
@@ -12,4 +12,4 @@ if test $LOCALE_JA = none; then
fi
LC_ALL=$LOCALE_JA \
./test-mbsnrtowcs${EXEEXT} 3
${CHECKER} ./test-mbsnrtowcs${EXEEXT} 3
+1 -1
View File
@@ -12,4 +12,4 @@ if test $LOCALE_ZH_CN = none; then
fi
LC_ALL=$LOCALE_ZH_CN \
./test-mbsnrtowcs${EXEEXT} 4
${CHECKER} ./test-mbsnrtowcs${EXEEXT} 4
+1 -1
View File
@@ -12,4 +12,4 @@ if test $LOCALE_FR_UTF8 = none; then
fi
LC_ALL=$LOCALE_FR_UTF8 \
./test-mbspbrk${EXEEXT}
${CHECKER} ./test-mbspbrk${EXEEXT}
+1 -1
View File
@@ -12,4 +12,4 @@ if test $LOCALE_TR_UTF8 = none; then
fi
LC_ALL=$LOCALE_TR_UTF8 \
./test-mbspcasecmp${EXEEXT}
${CHECKER} ./test-mbspcasecmp${EXEEXT}
+1 -1
View File
@@ -12,4 +12,4 @@ if test $LOCALE_ZH_CN = none; then
fi
LC_ALL=$LOCALE_ZH_CN \
./test-mbsrchr${EXEEXT}
${CHECKER} ./test-mbsrchr${EXEEXT}
+1 -1
View File
@@ -12,4 +12,4 @@ if test $LOCALE_FR = none; then
fi
LC_ALL=$LOCALE_FR \
./test-mbsrtowcs${EXEEXT} 1
${CHECKER} ./test-mbsrtowcs${EXEEXT} 1
+1 -1
View File
@@ -12,4 +12,4 @@ if test $LOCALE_FR_UTF8 = none; then
fi
LC_ALL=$LOCALE_FR_UTF8 \
./test-mbsrtowcs${EXEEXT} 2
${CHECKER} ./test-mbsrtowcs${EXEEXT} 2
+1 -1
View File
@@ -12,4 +12,4 @@ if test $LOCALE_JA = none; then
fi
LC_ALL=$LOCALE_JA \
./test-mbsrtowcs${EXEEXT} 3
${CHECKER} ./test-mbsrtowcs${EXEEXT} 3
+1 -1
View File
@@ -12,4 +12,4 @@ if test $LOCALE_ZH_CN = none; then
fi
LC_ALL=$LOCALE_ZH_CN \
./test-mbsrtowcs${EXEEXT} 4
${CHECKER} ./test-mbsrtowcs${EXEEXT} 4
+1 -1
View File
@@ -12,4 +12,4 @@ if test $LOCALE_FR_UTF8 = none; then
fi
LC_ALL=$LOCALE_FR_UTF8 \
./test-mbsspn${EXEEXT}
${CHECKER} ./test-mbsspn${EXEEXT}
+1 -1
View File
@@ -12,4 +12,4 @@ if test $LOCALE_FR_UTF8 = none; then
fi
LC_ALL=$LOCALE_FR_UTF8 \
./test-mbsstr2${EXEEXT}
${CHECKER} ./test-mbsstr2${EXEEXT}
+1 -1
View File
@@ -12,4 +12,4 @@ if test $LOCALE_ZH_CN = none; then
fi
LC_ALL=$LOCALE_ZH_CN \
./test-mbsstr3${EXEEXT}
${CHECKER} ./test-mbsstr3${EXEEXT}
+3 -3
View File
@@ -1,17 +1,17 @@
#!/bin/sh
LC_ALL=C ./test-nl_langinfo${EXEEXT} 0 || exit 1
LC_ALL=C ${CHECKER} ./test-nl_langinfo${EXEEXT} 0 || exit 1
# Test whether a specific traditional locale is installed.
: ${LOCALE_FR=fr_FR}
if test $LOCALE_FR != none; then
LC_ALL=$LOCALE_FR ./test-nl_langinfo${EXEEXT} 1 || exit 1
LC_ALL=$LOCALE_FR ${CHECKER} ./test-nl_langinfo${EXEEXT} 1 || exit 1
fi
# Test whether a specific UTF-8 locale is installed.
: ${LOCALE_FR_UTF8=fr_FR.UTF-8}
if test $LOCALE_FR_UTF8 != none; then
LC_ALL=$LOCALE_FR_UTF8 ./test-nl_langinfo${EXEEXT} 2 || exit 1
LC_ALL=$LOCALE_FR_UTF8 ${CHECKER} ./test-nl_langinfo${EXEEXT} 2 || exit 1
fi
exit 0
+4 -4
View File
@@ -5,13 +5,13 @@
# Test blocking write() with blocking read().
# Commented out because this test succeeds on all platforms anyway.
#./test-nonblocking-pipe-main${EXEEXT} ./test-nonblocking-pipe-child${EXEEXT} 0 || exit 1
#${CHECKER} ./test-nonblocking-pipe-main${EXEEXT} ./test-nonblocking-pipe-child${EXEEXT} 0 || exit 1
# Test non-blocking write() with blocking read().
./test-nonblocking-pipe-main${EXEEXT} ./test-nonblocking-pipe-child${EXEEXT} 1 || exit 1
${CHECKER} ./test-nonblocking-pipe-main${EXEEXT} ./test-nonblocking-pipe-child${EXEEXT} 1 || exit 1
# Test blocking write() with non-blocking read().
./test-nonblocking-pipe-main${EXEEXT} ./test-nonblocking-pipe-child${EXEEXT} 2 || exit 1
${CHECKER} ./test-nonblocking-pipe-main${EXEEXT} ./test-nonblocking-pipe-child${EXEEXT} 2 || exit 1
# Test non-blocking write() with non-blocking read().
./test-nonblocking-pipe-main${EXEEXT} ./test-nonblocking-pipe-child${EXEEXT} 3 || exit 1
${CHECKER} ./test-nonblocking-pipe-main${EXEEXT} ./test-nonblocking-pipe-child${EXEEXT} 3 || exit 1
+4 -4
View File
@@ -1,13 +1,13 @@
#!/bin/sh
# Test blocking write() with blocking read().
./test-nonblocking-socket-main${EXEEXT} ./test-nonblocking-socket-child${EXEEXT} 0 || exit 1
${CHECKER} ./test-nonblocking-socket-main${EXEEXT} ./test-nonblocking-socket-child${EXEEXT} 0 || exit 1
# Test non-blocking write() with blocking read().
./test-nonblocking-socket-main${EXEEXT} ./test-nonblocking-socket-child${EXEEXT} 1 || exit 1
${CHECKER} ./test-nonblocking-socket-main${EXEEXT} ./test-nonblocking-socket-child${EXEEXT} 1 || exit 1
# Test blocking write() with non-blocking read().
./test-nonblocking-socket-main${EXEEXT} ./test-nonblocking-socket-child${EXEEXT} 2 || exit 1
${CHECKER} ./test-nonblocking-socket-main${EXEEXT} ./test-nonblocking-socket-child${EXEEXT} 2 || exit 1
# Test non-blocking write() with non-blocking read().
./test-nonblocking-socket-main${EXEEXT} ./test-nonblocking-socket-child${EXEEXT} 3 || exit 1
${CHECKER} ./test-nonblocking-socket-main${EXEEXT} ./test-nonblocking-socket-child${EXEEXT} 3 || exit 1
+1 -1
View File
@@ -62,7 +62,7 @@ cat > "${tmpf}" <<- _EOF_
exec 3< "${tmpf}"
while read line <&3
do
v=`${exe} "${line}"` || { ls -l "${tmpf}"; die "Failed: ${exe} '${line}'"; }
v=`${CHECKER} ${exe} "${line}"` || { ls -l "${tmpf}"; die "Failed: ${exe} '${line}'"; }
test $v -eq 38898367 || die $v is not 38898367
done
exec 3>&-

Some files were not shown because too many files have changed in this diff Show More